Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.coval.dev/v1/run-templates/{run_template_id} \ --header 'X-API-Key: <api-key>'
{ "run_template": { "name": "run-templates/abc123def456ghi789jklm", "id": "abc123def456ghi789jklm", "display_name": "Voice Agent Daily Test", "description": "Daily regression test for voice agent", "agent_id": "gk3jK9mPq2xRt5vW8yZaBc", "persona_id": "hL4kL0nQr3ySt6vX9zAcDd", "test_set_id": "aB1cD2eF", "metric_ids": [ "iM5lM1oRs4zTu7wY0aBdEe" ], "mutation_ids": [], "iteration_count": 3, "concurrency": 5, "sub_sample_size": 0, "sub_sample_seed": null, "metadata": {}, "create_time": "2025-10-14T12:00:00Z", "update_time": null } }
Retrieve a specific run template by ID.
API key for authentication
Run template resource ID
^[A-Za-z0-9]{22}$
Run template retrieved successfully
Run template configuration resource.
Show child attributes
Was this page helpful?